#ifndef CONVERT_H
#define CONVERT_H


#include "ocr.h"

#include <pam.h>
#include <time.h>
#include <limits.h>

#include <sys/time.h>


/*----- from structure.c -----*/

void find_structure(CanonImage *im);
void read_screenshots(void);
void read_one_screenshot(void);
void analyse(void);

/*----- from convert.c -----*/

extern FILE *screenshots_file;

void vprogress(const char *fmt, va_list);
void progress(const char *fmt, ...);

void vprogress_log(const char *fmt, va_list);
void progress_log(const char *fmt, ...);

void vprogress_spinner(const char *fmt, va_list);
void progress_spinner(const char *fmt, ...);

/*----- from pages.c -----*/

void screenshot_startup(void);
void set_yppclient_window(unsigned long wul);
void find_yppclient_window(void);
void take_screenshots(void);
void take_one_screenshot(void);

#define MAX_PAGES 100
extern CanonImage *page_images[MAX_PAGES];
extern int npages;

extern char *ocean, *pirate;


#endif /*CONVERT_H*/
